{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"22d9d2eaf484e325b68353a8e80f5b9930554d16","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-16.0.2.tgz","fileCount":7,"integrity":"sha512-OuWC4pwUUAaZwQJVADFU5hl/+nBBXnEg1CbNHKC+CX9gO3j8FDRyRKLlT8uIklDlRVY0G6Z+UJQDV2YNXx3xfA==","signatures":[{"sig":"MEUCIAxEVH7PPKVOSd4ErYF1lT5pNe/7U2zn6K/xKZwhza2EAiEAsNc8p33iyZrCQz8e0yHLHJ+4WlaBigRzGbuF7dh04uw=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":219043},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"engines":{"node":">=22.12.0 <23 || >=24.0.0"},"gitHead":"cdc7488aba32281c9841a89833190a336e209748","license":"MIT","scripts":{"test":"node ./#/public/tests","benchmark":"node ./#/public/benchmarks"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.19.0","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"engineStrict":true,"_hasShrinkwrap":false,"readmeFilename":"readme.md","devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_16.0.2_1788152567093_0.123332868162779","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@16.0.2","version":"16.0.2"}